• Post Reply Bookmark Topic Watch Topic
  • New Topic

Error connecting Neo4j from java class  RSS feed

 
ashwini hirlekar
Greenhorn
Posts: 8
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
I am trying to connect neo4j from java however I am getting following error:

]org.neo4j.graphdb.TransactionFailureException: Could not create data source [nioneodb], see nested exception for cause of error

Exception in thread "main" org.neo4j.graphdb.TransactionFailureException: Could not create data source [nioneodb], see nested exception for cause of error
org.neo4j.kernel.impl.storemigration.UpgradeNotAllowedByConfigurationException: Failed to start Neo4j with an older data store version. To enable automatic upgrade, please set configuration parameter "allow_store_upgrade=true"

I changed ""allow_store_upgrade" parameter in neo4j.properties but still getting the same error.

Please guide .
 
Campbell Ritchie
Marshal
Posts: 56562
172
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Welcome to the Ranch

Since some people find red text difficult to read, I have changed it all to black.
 
  • Post Reply Bookmark Topic Watch Topic
  • New Topic
Boost this thread!